New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

update springframework to 3.2 #4

Closed
xiasenhai opened this Issue Mar 5, 2013 · 2 comments

Comments

Projects
None yet
2 participants
@xiasenhai

xiasenhai commented Mar 5, 2013

Hello Tomasz,i just update spring-framework and spring-data to the latest version and exceptions occurs.
please
update spring-framework to 3.2
update spring data to 1.4.1

THANK YOU !

@nurkiewicz

This comment has been minimized.

Show comment
Hide comment
@nurkiewicz

nurkiewicz Mar 5, 2013

Owner

Indeed I was relying on very old 1.1.0 version of Spring Data commons. 1.4.1 was backward incompatible. Have a look at spring32 branch. I'll merge it back to master once I implement new method from 1.4.1 API:

public Iterable<T> findAll(Iterable<ID> ids) {

Thanks for reporting!

Owner

nurkiewicz commented Mar 5, 2013

Indeed I was relying on very old 1.1.0 version of Spring Data commons. 1.4.1 was backward incompatible. Have a look at spring32 branch. I'll merge it back to master once I implement new method from 1.4.1 API:

public Iterable<T> findAll(Iterable<ID> ids) {

Thanks for reporting!

@nurkiewicz

This comment has been minimized.

Show comment
Hide comment
@nurkiewicz

nurkiewicz Mar 6, 2013

Owner

Fixed, I actually upgraded Spring Data Commons to 1.5. Thank you for this bug report, it is included in 0.3 version.

Owner

nurkiewicz commented Mar 6, 2013

Fixed, I actually upgraded Spring Data Commons to 1.5. Thank you for this bug report, it is included in 0.3 version.

@nurkiewicz nurkiewicz closed this Mar 6, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment